Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156715 - Incorrect ACPI BIOS age error
Summary: Incorrect ACPI BIOS age error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 16:03 UTC by Ken Hall
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 02:53:31 UTC


Attachments (Terms of Use)
dmidecode data (deleted)
2005-05-04 18:10 UTC, Ken Hall
no flags Details

Description Ken Hall 2005-05-03 16:03:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; T312461)

Description of problem:
Durint boot, receive following:

May  3 07:53:54 pookie kernel:  BIOS-e820: 0000000007ee0000 - 0000000007ef0000 (ACPI data)
May  3 07:53:54 pookie kernel:  BIOS-e820: 0000000007ef0000 - 0000000007f00000 (ACPI NVS)
May  3 07:53:54 pookie kernel: ACPI: BIOS age (1997) fails cutoff (2001), acpi=force is required to enable ACPI
May  3 07:53:54 pookie kernel: ACPI: Disabling ACPI support
May  3 07:53:54 pookie kernel: ACPI: Subsystem revision 20050211
May  3 07:53:54 pookie kernel: ACPI: Interpreter disabled.
May  3 07:53:54 pookie kernel: pnp: PnP ACPI: disabled

This is a P-III 900 mhz, with AMI BIOS dated 2001/10/23.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3 (and previous)

How reproducible:
Always

Steps to Reproduce:
1.Boot
2.
3.
  

Actual Results:  See above

Expected Results:  No message, ACPI enabled

Additional info:

See above

Comment 1 Sitsofe Wheeler 2005-05-03 18:36:12 UTC
Can you attach the output of dmidecode?

Comment 2 Ken Hall 2005-05-04 18:10:17 UTC
Created attachment 114035 [details]
dmidecode data

Looking at the output of dmidecode, I think I see the problem.	The release
date is reported as 7/15/97, which does not correspond to the date displayed
during boot.  This is especially amusing, as the Pentium III wasn't released
until 1999.

Unless you have another suggestion, I will contact the manufacturer of the
computer to see if they have a newer version available.

Comment 3 Dave Jones 2005-05-09 23:44:03 UTC
You can enable ACPI with acpi=force to override that disable.
I'll add an auto-override for it for future FC4 kernels, but its really a BIOS
bug.  I doubt your vendor cares about a 4 year old board any more though, so its
unlikely to get fixed by them.


Comment 4 Ken Hall 2005-05-19 02:52:47 UTC
Sorry for the delay getting back, I've been tied up with other stuff.  Weird 
as it may seem, this box is brand new, from my viewpoint.  The company I got 
it from had a lot of them left over, and was selling them off.  I have 
contacted them, and they are looking into getting me an updated BIOS.  Thanks 
for the help.


Note You need to log in before you can comment on or make changes to this bug.